Bug 1468295 - Non-admin users unable to see Catalog Items in SUI
Non-admin users unable to see Catalog Items in SUI
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
All All
high Severity high
: GA
: 5.8.1
Assigned To: Yuri Rudman
Shveta
ssui:catalog:rbac
: ZStream
Depends On: 1507029 1465642
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-06 11:20 EDT by Satoe Imaishi
Modified: 2017-10-31 15:47 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.8.1.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1465642
Environment:
Last Closed: 2017-08-02 13:33:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-07-06 11:26:11 EDT
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/6a1647ebaa424eb3e816c8f5d9b15ce5528a7314

commit 6a1647ebaa424eb3e816c8f5d9b15ce5528a7314
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Jul 5 06:23:43 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jul 6 11:24:28 2017 -0400

    Merge pull request #15486 from yrudman/add-catalog-item-view-features-to-ssui-roles
    
    Allow SSUI roles to see Service Catalog Items
    (cherry picked from commit e1b7020a264de195cf6b5ab81ac3e78416bda63a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1468295

 db/fixtures/miq_user_roles.yml | 2 ++
 1 file changed, 2 insertions(+)
Comment 3 Shveta 2017-07-13 13:56:33 EDT
Fixed in  5.8.1.2.20170712143358_461cde4
Comment 5 errata-xmlrpc 2017-08-02 13:33:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.